Skip to main content
GET
List cluster extensions

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

organization
string
required

Organization name slug from list_organizations. Example: acme.

database
string
required

Database name slug from list_databases. Example: app-db.

branch
string
required

Branch name from list_branches. Example: main.

Response

Returns cluster extensions

id
string
required

The ID of the extension

name
string
required

The name of the extension

description
string
required

The description of the extension

internal
boolean
required

The internal state of the extension

loader
enum<string>
required

How the extension is loaded

Available options:
shared_preload_libraries,
session_preload_libraries,
create_extension
url
string
required

The URL of the extension

available
boolean
required

Whether the extension is available on the current cluster image

unavailable_reason
string
required

The reason the extension is unavailable (e.g., 'container_upgrade_required')

parameters
object[]
required